<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
$targetedX=$exCD."/social.inc.php";
define("DATA_FILE", $targetedX);
extract($_POST);
@$socialX=($_POST['socialX']);
if($socialX == ""){$_POST['socialX']="off";}else{$_POST['socialX']="on";}
$socialX=($_POST['socialX']);
$icon00U=($_POST['icon00U']);
$icon00A=($_POST['icon00A']);
$icon01U=($_POST['icon01U']);
$icon01A=($_POST['icon01A']);
$icon02U=($_POST['icon02U']);
$icon02A=($_POST['icon02A']);
$icon03U=($_POST['icon03U']);
$icon03A=($_POST['icon03A']);
$icon04U=($_POST['icon04U']);
$icon04A=($_POST['icon04A']);
$icon05U=($_POST['icon05U']);
$icon05A=($_POST['icon05A']);
$icon06U=($_POST['icon06U']);
$icon06A=($_POST['icon06A']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[socialX])<=0){@$_POST[socialX]="";}
if (strlen(@$_POST[icon00U])<=0){@$_POST[icon00U]="";}
if (strlen(@$_POST[icon00A])<=0){@$_POST[icon00A]="";}
if (strlen(@$_POST[icon01U])<=0){@$_POST[icon01U]="";}
if (strlen(@$_POST[icon01A])<=0){@$_POST[icon01A]="";}
if (strlen(@$_POST[icon02U])<=0){@$_POST[icon02U]="";}
if (strlen(@$_POST[icon02A])<=0){@$_POST[icon02A]="";}
if (strlen(@$_POST[icon03U])<=0){@$_POST[icon03U]="";}
if (strlen(@$_POST[icon03A])<=0){@$_POST[icon03A]="";}
if (strlen(@$_POST[icon04U])<=0){@$_POST[icon04U]="";}
if (strlen(@$_POST[icon04A])<=0){@$_POST[icon04A]="";}
if (strlen(@$_POST[icon05U])<=0){@$_POST[icon05U]="";}
if (strlen(@$_POST[icon05A])<=0){@$_POST[icon05A]="";}
if (strlen(@$_POST[icon06U])<=0){@$_POST[icon06U]="";}
if (strlen(@$_POST[icon06A])<=0){@$_POST[icon06A]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/socialX=(.+?);/';
$patterns[1]='/icon00U=(.+?);/';
$patterns[2]='/icon00A=(.+?);/';
$patterns[3]='/icon01U=(.+?);/';
$patterns[4]='/icon01A=(.+?);/';
$patterns[5]='/icon02U=(.+?);/';
$patterns[6]='/icon02A=(.+?);/';
$patterns[7]='/icon03U=(.+?);/';
$patterns[8]='/icon03A=(.+?);/';
$patterns[9]='/icon04U=(.+?);/';
$patterns[10]='/icon04A=(.+?);/';
$patterns[11]='/icon05U=(.+?);/';
$patterns[12]='/icon05A=(.+?);/';
$patterns[13]='/icon06U=(.+?);/';
$patterns[14]='/icon06A=(.+?);/';

@$replacements[0]=sprintf("socialX=%s%s%s;",$t,$_POST[socialX],$t);
@$replacements[1]=sprintf("icon00U=%s%s%s;",$t,$_POST[icon00U],$t);
@$replacements[2]=sprintf("icon00A=%s%s%s;",$t,$_POST[icon00A],$t);
@$replacements[3]=sprintf("icon01U=%s%s%s;",$t,$_POST[icon01U],$t);
@$replacements[4]=sprintf("icon01A=%s%s%s;",$t,$_POST[icon01A],$t);
@$replacements[5]=sprintf("icon02U=%s%s%s;",$t,$_POST[icon02U],$t);
@$replacements[6]=sprintf("icon02A=%s%s%s;",$t,$_POST[icon02A],$t);
@$replacements[7]=sprintf("icon03U=%s%s%s;",$t,$_POST[icon03U],$t);
@$replacements[8]=sprintf("icon03A=%s%s%s;",$t,$_POST[icon03A],$t);
@$replacements[9]=sprintf("icon04U=%s%s%s;",$t,$_POST[icon04U],$t);
@$replacements[10]=sprintf("icon04A=%s%s%s;",$t,$_POST[icon04A],$t);
@$replacements[11]=sprintf("icon05U=%s%s%s;",$t,$_POST[icon05U],$t);
@$replacements[12]=sprintf("icon05A=%s%s%s;",$t,$_POST[icon05A],$t);
@$replacements[13]=sprintf("icon06U=%s%s%s;",$t,$_POST[icon06U],$t);
@$replacements[14]=sprintf("icon06A=%s%s%s;",$t,$_POST[icon06A],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
